io.undertow.util

## Class FileUtils

- java.lang.Object
- - io.undertow.util.FileUtils

    public class FileUtils
    extends Object

Author:
  Stuart Douglas

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `deleteRecursive(Path directory)`
`static String` `readFile(Class<?> testClass, String fileName)`
`static String` `readFile(InputStream file)` Reads the `file` and converting it to `String` using UTF-8 encoding.
`static String` `readFile(URL url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readFile

    public static String readFile(Class<?> testClass,
                                  String fileName)

#### readFile

    public static String readFile(URL url)

#### readFile

    public static String readFile(InputStream file)

Reads the `file` and converting it to `String` using UTF-8 encoding.

#### deleteRecursive

    public static void deleteRecursive(Path directory)
                                throws IOException

Throws:
  `IOException`